Remove dated config.gem
[gitorious:pkong23s-mainline.git] / vendor / plugins / ultrasphinx / lib / ultrasphinx.rb
1
2 require 'fileutils'
3 require 'chronic'
4 require 'singleton'
5
6 if defined? RAILS_ENV and RAILS_ENV == "development"
7   if ENV['USER'] == 'eweaver'
8     require 'ruby-debug'
9     Debugger.start
10   end
11 end
12
13 $LOAD_PATH << "#{File.dirname(__FILE__)}/../vendor/riddle/lib"
14 require 'riddle'
15 require 'ultrasphinx/ultrasphinx'
16 require 'ultrasphinx/associations'
17 require 'ultrasphinx/core_extensions'
18 require 'ultrasphinx/is_indexed'
19
20 if (ActiveRecord::Base.connection rescue nil) # XXX Not sure why this needed to be wrapped.
21   require 'ultrasphinx/configure'
22   require 'ultrasphinx/autoload'
23   require 'ultrasphinx/fields'
24
25   require 'ultrasphinx/search/internals'
26   require 'ultrasphinx/search/parser'
27   require 'ultrasphinx/search'
28
29   begin
30     require 'raspell'
31   rescue Object => e
32   end
33   
34   require 'ultrasphinx/spell'
35 end
36